## org.biojava.bio.structure
Interface AminoAcid

All Superinterfaces:
  Group

All Known Implementing Classes:
  AminoAcidImpl

    public interface AminoAcid

extends Group

AminoAcid inherits most from Hetatom. Adds a few AminoAcid specific methods.

Since:
  1.4
Version:
  %I% %G%
Author:
  Andreas Prlic

Method Summary
`java.lang.Character` `getAminoType()` returns the name of the AA, in single letter code.
`Atom` `getC()` get C atom.
`Atom` `getCA()` get CA atom.
`Atom` `getCB()` get CB atom.
`Atom` `getN()` get N atom.
`Atom` `getO()` get O atom.
`java.util.Map` `getSecStruc()` get secondary structure data .
`void` `setAminoType(java.lang.Character aa)` set the name of the AA, in single letter code .
`void` `setSecStruc(java.util.Map secstr)` Specifies the secondary structure as a Map.
`java.lang.String` `toString()` string representation.

Methods inherited from interface org.biojava.bio.structure.Group
`addAtom, clearAtoms, clone, getAtom, getAtom, getAtoms, getParent, getPDBCode, getPDBName, getProperties, getProperty, getType, has3D, hasAminoAtoms, hasAtom, iterator, setParent, setPDBCode, setPDBFlag, setPDBName, setProperties, setProperty, size`

Method Detail

### setSecStruc

    void setSecStruc(java.util.Map secstr)

  Specifies the secondary structure as a Map.

  Parameters:
    `secstr` - a Map object specifying the sec struc
  See Also:
    `getSecStruc()`

### getSecStruc

    java.util.Map getSecStruc()

  get secondary structure data .

  Returns:
    a Map object representing the sec struc value
  See Also:
    `setSecStruc(java.util.Map)`

### getN

    Atom getN()
              throws StructureException

  get N atom.

  Returns:
    an Atom object
  Throws:
    `StructureException` - ...

### getCA

    Atom getCA()
               throws StructureException

  get CA atom.

  Returns:
    an Atom object
  Throws:
    `StructureException` - ...

### getC

    Atom getC()
              throws StructureException

  get C atom.

  Returns:
    an Atom object
  Throws:
    `StructureException` - ...

### getO

    Atom getO()
              throws StructureException

  get O atom.

  Returns:
    an Atom object
  Throws:
    `StructureException` - ...

### getCB

    Atom getCB()
               throws StructureException

  get CB atom.

  Returns:
    an Atom object
  Throws:
    `StructureException` - ...

### getAminoType

    java.lang.Character getAminoType()

  returns the name of the AA, in single letter code.

  Returns:
    a Character object representing the amino type value
  See Also:
    `setAminoType(java.lang.Character)`

### setAminoType

    void setAminoType(java.lang.Character aa)

  set the name of the AA, in single letter code .

  Parameters:
    `aa` - a Character object specifying the amino type value
  See Also:
    `getAminoType()`

### toString

    java.lang.String toString()

  string representation.

  Overrides:
    `toString` in class `java.lang.Object`